commit:     1cd27e84e022d756edf33e2ef92786ec09f52ca0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 21 02:29:07 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Apr 21 02:35:07 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1cd27e84

dev-python/ini2toml: Bump to 0.14

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/ini2toml/Manifest             |  1 +
 dev-python/ini2toml/ini2toml-0.14.ebuild | 46 ++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-python/ini2toml/Manifest b/dev-python/ini2toml/Manifest
index b52a49ba0198..58fe1dfd916e 100644
--- a/dev-python/ini2toml/Manifest
+++ b/dev-python/ini2toml/Manifest
@@ -1 +1,2 @@
 DIST ini2toml-0.13.tar.gz 102729 BLAKE2B 
27094e0f329ce5d0da3ca1793b5b92e97eba5068225c55fcc9e0c61ead607967b8718976bfa13f76638c1b2bd8ee2a532b8eaf2023895f2ffdeacacd072fff9c
 SHA512 
9700affeeb0434699e708fbeffb34e68f54882d7c5ada25cbdcdf47fed70bf8b5e8ff46503c19aa135079bc8770bdc48e991212b07b6409adf57d197a5ed998e
+DIST ini2toml-0.14.tar.gz 108296 BLAKE2B 
f09ac924eea976b82d68b12132cc671cb5b0f57734fc2a4f4b0dc68e0a9e20d4f906ab757e662c152a5d7db9f0bad17bd28644524bd18a16895ad489eac1d29d
 SHA512 
d29155ae1069084381aef852145a6c734ea4e1e8c6847174fff98bca497cbb4289ee791b26541c6027b716845dd23fc251dde531c6cb9c62d490e4bfed5f862e

diff --git a/dev-python/ini2toml/ini2toml-0.14.ebuild 
b/dev-python/ini2toml/ini2toml-0.14.ebuild
new file mode 100644
index 000000000000..9572ed878335
--- /dev/null
+++ b/dev-python/ini2toml/ini2toml-0.14.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Automatically conversion of .ini/.cfg files to TOML equivalents"
+HOMEPAGE="
+       https://pypi.org/project/ini2toml/
+       https://github.com/abravalheri/ini2toml/
+"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+       >=dev-python/packaging-20.7[${PYTHON_USEDEP}]
+       >=dev-python/setuptools-59.6[${PYTHON_USEDEP}]
+       >=dev-python/tomli-w-0.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/setuptools-scm[${PYTHON_USEDEP}]
+       test? (
+               dev-python/configupdater[${PYTHON_USEDEP}]
+               >=dev-python/pyproject-fmt-0.4.0[${PYTHON_USEDEP}]
+               dev-python/tomli[${PYTHON_USEDEP}]
+               dev-python/tomlkit[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+       # validate_pyproject is not packaged
+       tests/test_examples.py
+)
+
+src_prepare() {
+       sed -i -e 's:--cov ini2toml --cov-report term-missing::' setup.cfg || 
die
+       distutils-r1_src_prepare
+}

Reply via email to